#include "machine.h"

void	writestr2(char *str,int i)
{
	char		*a;

	a = (char*)&i;
	str[0] = a[0];
	str[1] = a[1];
}

void	writestr4(char *str,int i)
{
	char		*a;

	a = (char*)&i;
	str[0] = a[0];
	str[1] = a[1];
	str[2] = a[2];
	str[3] = a[3];
}

int	make_be2(int i)
{
	char		*a,b[2];

	a = (char*)&i;
	b[0] = a[(BYTE_ORDER / 100 - 1) % 10];
	b[1] = a[(BYTE_ORDER / 1000 - 1) % 10];

	return (int)*(short*)b;
}

int	make_be4(int i)
{
	char		*a,b[4];

	a = (char*)&i;
	b[0] = a[(BYTE_ORDER / 1 - 1) % 10];
	b[1] = a[(BYTE_ORDER / 10 - 1) % 10];
	b[2] = a[(BYTE_ORDER / 100 - 1) % 10];
	b[3] = a[(BYTE_ORDER / 1000 - 1) % 10];

	return *(int*)b;
}
int	make_le2(int i)
{
	char		*a,b[2];

	a = (char*)&i;
	b[1] = a[(BYTE_ORDER / 100 - 1) % 10];
	b[0] = a[(BYTE_ORDER / 1000 - 1) % 10];

	return (int)*(short*)b;
}

int	make_le4(int i)
{
	char		*a,b[4];

	a = (char*)&i;
	b[3] = a[(BYTE_ORDER / 1 - 1) % 10];
	b[2] = a[(BYTE_ORDER / 10 - 1) % 10];
	b[1] = a[(BYTE_ORDER / 100 - 1) % 10];
	b[0] = a[(BYTE_ORDER / 1000 - 1) % 10];

	return *(int*)b;
}


